Bug 4852 - X server does not start
X server does not start
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-02 08:45 EDT by paulh
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-13 16:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paulh 1999-09-02 08:45:52 EDT
I hace installed RH6 on a variety of machines and have
experienced a no. of situations where the Gnome desktop
does not atart :

   1. Typing 'startx' as root results in  a warning message
      about the Gnome File Manager running as root.
Clicking
       OK in this widget results in the File manager
      attempting to start. The FM core dumps and the
       warning msgs reappears. One is then stuck in
an              indefinite loop. The desktop icons never
appear.

       THis error can disappear spontaneously when next
       logging in or when changing the screen resolution.

        It can also reappear ...

   2. Booting into runlevel 5 does not always work. The
       nice graphical login screen appears but when
      attempting to login, the screen flashes a couple of
       times and the login screen reappears. I could not
       find any msgs in the system to indicate what the
       problem could be.

       Typing 'startx' from runlevel 3 was OK.

    3. Typing 'startx' resulted in the msg :

       'Authentication' failed.

       Logging out and back in *usually* (but not always)
        fixes this problem. Waiting a while or rebooting
        also fixes the problem. In one severe case, we
        found the directory /var/lock/console was missing.
        recreating the directory fixed the problem.
Comment 1 Elliot Lee 1999-09-13 16:39:59 EDT
Please install the GNOME errata (available via
http://www.redhat.com/support/) - they fix a lot of problems with
GNOME.

Note You need to log in before you can comment on or make changes to this bug.